Summary:        Library that provides message digest functions from BSD systems
Name:           libmd
Version:        1.1.0
Release:        2%{?dist}
License:        BSD-2-Clause AND BSD-3-Clause AND ISC AND Beerware AND LicenseRef-Fedora-Public-Domain
URL:            https://www.hadrons.org/software/libmd/
Source0:        https://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz

BuildRequires:  make gcc

%description
This library provides message digest functions found on BSD systems, either on their libc or 
on a library with the same name, and with a compatible API.

%package devel
Summary:        Development files for the message digest library
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package includes header files and libraries necessary for developing programs which use the 
message digest library.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/%{name}.la

%check
make check

%files
%license COPYING
%doc ChangeLog README
%{_libdir}/%{name}.so.0*
%{_mandir}/man7/%{name}.7*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/md2.h
%{_includedir}/md4.h
%{_includedir}/md5.h
%{_includedir}/ripemd.h
%{_includedir}/rmd160.h
%{_includedir}/sha.h
%{_includedir}/sha1.h
%{_includedir}/sha2.h
%{_includedir}/sha256.h
%{_includedir}/sha512.h
%{_mandir}/man3/MD2*.3*
%{_mandir}/man3/MD4*.3*
%{_mandir}/man3/MD5*.3*
%{_mandir}/man3/RMD160*.3*
%{_mandir}/man3/SHA1*.3*
%{_mandir}/man3/SHA256*.3*
%{_mandir}/man3/SHA384*.3*
%{_mandir}/man3/SHA512*.3*
%{_mandir}/man3/md2.3*
%{_mandir}/man3/md4.3*
%{_mandir}/man3/md5.3*
%{_mandir}/man3/rmd160.3*
%{_mandir}/man3/sha1.3*
%{_mandir}/man3/sha2.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.1.0-1
- Upgrade to version 1.1.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Wang Guodong <gordonwwang@tencent.com> - 1.0.4-1
- initial build
